### Method

# Gimp Image metadata_load_prepare

#### Declaration [src]

    GimpMetadata*
    gimp_image_metadata_load_prepare (
      GimpImage* image,
      const gchar* mime_type,
      GFile* file,
      GError** error
    )

#### Description [src]

Loads and returns metadata from `file` to be passed into gimp_image_metadata_load_finish().

Available since: | 2.10

#### Parameters

`mime_type` | `const gchar*`
| The loaded file’s mime-type.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`file` | `GFile`
| The file to load the metadata from.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpMetadata`
| The file’s metadata.
| The caller of the method takes ownership of the data, and is responsible for freeing it.